const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v0_3 = z.z_global_2d_to_2d_local;
    z.z_global_2d_to_2d_local = z.x_global_2d_to_2d_local;
    ebx_global_2d_to_2d_local = arg1[48] # ebx;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 0x4100 == 0:;
        v1_21 = ebx_global_2d_to_2d_local - 16 # bp+21;
        *z.z_global_2d_to_2d_local = *v1_21;
        z.z_global_2d_to_2d_local[4] = v1_21[4];
    # 0x2e;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 0x4100 == 0:;
        v1_3e = ebx_global_2d_to_2d_local - 24;
        *z.y_global_2d_to_2d_local = *v1_3e;
        z.y_global_2d_to_2d_local[4] = v1_3e[4];
    v1_57 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+57;
    if v1_57 & 0x4100 == 0:;
        # 0x5c;
        z.x_global_2d_to_2d_local = v0_3;
        v1_5f = ebx_global_2d_to_2d_local - 32;
        *v0_3 = *v1_5f;
        z.x_global_2d_to_2d_local[4] = v1_5f[4];
    else:;
        z.x_global_2d_to_2d_local = ebx_global_2d_to_2d_local - 32 & -0x10000 | v1_57;
    # 0x6c;
    return z.x_global_2d_to_2d_local;


	}